package com.sd.business.controller.order;

import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sd.business.entity.order.vo.OrderProofingRegistrationVo;
import com.sd.business.entity.order.dto.OrderProofingRegistrationSelectDto;
import com.sd.business.entity.order.dto.OrderProofingRegistrationDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.sd.business.service.order.OrderProofingRegistrationService;
import org.springframework.beans.factory.annotation.Autowired;


/**
 * <p>
 * 订单打样登记 前端控制器
 * </p>
 *
 * @author 
 * @since 2023-12-19
 */
@RestController
@RequestMapping("/orderProofingRegistration")
public class OrderProofingRegistrationController {

    @Autowired
    private OrderProofingRegistrationService orderProofingRegistrationService;

    /**
     * 订单打样登记分页
     */
    @PostMapping("/page")
    public Page<OrderProofingRegistrationVo> page(@RequestBody OrderProofingRegistrationSelectDto dto) {
        return orderProofingRegistrationService.getPage(dto);
    }

    /**
     * 订单打样登记新增
     */
    @PostMapping("/add")
    public void add(@Validated @RequestBody OrderProofingRegistrationDto dto) {
        orderProofingRegistrationService.add(dto);
    }

    /**
     * 订单打样登记编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody OrderProofingRegistrationDto dto) {
        orderProofingRegistrationService.edit(dto);
    }

    /**
     * 订单打样登记删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        orderProofingRegistrationService.delete(dto.getId());
    }


}
